Skip to main content
GET
/
me
Get Profile
curl --request GET \
  --url https://api.veryfront.com/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "name": "<string>",
  "avatar_src": "<string>",
  "role": [
    "<string>"
  ],
  "approved": true,
  "subscription": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "pro",
    "cycle": "monthly",
    "quantity": 123,
    "expires_at": "<string>",
    "created_at": "<string>",
    "canceled_at": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.

Response

Current user profile

id
string<uuid>
required
email
string<email>
name
string
avatar_src
string
role
string[]
approved
boolean
subscription
object